class Button {
  int _x, _y, _w, _h;
  String _name;
  
  Button(int x, int y, int w, int h, String name) {
    _x = x;
    _y = y;
    _w = w;
    _h = h;
    _name = name;
  }
  
  void show() {
    if (_name == "save") {
      stroke(#333333);
      strokeWeight(4);
      line(_x, _y + _h / 2 - 10, _x, _y - _h / 2 + 6);
      line(_x, _y + _h / 2 - 10, _x - _w / 2 + 10, _y);
      line(_x, _y + _h / 2 - 10, _x + _w / 2 - 10, _y);
      line(_x - _w / 2 + 6, _y + _h / 2 - 6, _x + _w / 2 - 6, _y + _h / 2 - 6);
      
    }
    
    if (_name == "erase") {
      stroke(#333333);
      strokeWeight(4);
      line(_x - _w / 2 + 6, _y - _h / 2 + 6, _x + _w / 2 - 6, _y + _h / 2 - 6);
      line(_x + _w / 2 - 6, _y - _h / 2 + 6, _x - _w / 2 + 6, _y + _h / 2 - 6);
    }
    
    if (_name == "line") {
      stroke(#333333);
      strokeWeight(2);
      noFill();
      line(_x + 5, _y - 12, _x - 5, _y + 12);
    }
    
    if (_name == "circle") {
      noStroke();
      fill(#333333);
      ellipse(_x + 1, _y + 1, 10, 10);
    }
    
    if (_name == "RGB") {
      fill(#333333);
      text("RGB", _x, _y);
    }
    
    if (_name == "HSB") {
      fill(#333333);
      text("HSB", _x, _y);
    }
    
    stroke(#333333);
    strokeWeight(2);
    noFill();
    rectMode(CENTER);
    rect(_x, _y, _w, _h);
    rectMode(CORNER);
    
  }
  
  Boolean used() {
    return (mouseX >= _x - (_w / 2)) && (mouseX <= _x + (_w / 2)) && 
           (mouseY >= _y - _h / 2) && (mouseY <= _y + _h / 2);
  }
}